Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 616460 (CVE-2017-8086) - <app-emulation/qemu-2.8.1-r2: 9pfs: host memory leakage via v9pfs_list_xattr (CVE-2017-8086)
Summary: <app-emulation/qemu-2.8.1-r2: 9pfs: host memory leakage via v9pfs_list_xattr ...
Status: RESOLVED FIXED
Alias: CVE-2017-8086
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa cve]
Keywords:
Depends on:
Blocks: 615874 CVE-2017-7980 CVE-2017-7718 CVE-2017-7471
  Show dependency tree
 
Reported: 2017-04-24 11:30 UTC by Agostino Sarubbo
Modified: 2017-06-06 06:49 UTC (History)
1 user (show)

See Also:
Package list:
=app-emulation/qemu-2.8.1-r2
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-04-24 11:30:59 UTC
From ${URL} :

Quick Emulator(Qemu) built with the virtio-9p back-end support is vulnerable
to a memory leakage issue. It could occur while querying file system extended
attributes via 9pfs_list_xattr() routine.

A privileged user/process inside guest could use this flaw to leak host memory
resulting in Dos.

Upstream patch:
---------------
    -> http://git.qemu.org/?p=qemu.git;a=commit;h=4ffcdef4277a91af15a3c09f7d16af072c29f3f2


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Matthias Maier gentoo-dev 2017-04-25 13:54:36 UTC
commit 51d94aaeff0e35fa68711f5623c5e6f68be2fac8
Author: Matthias Maier <tamiko@gentoo.org>
Date:   Tue Apr 25 08:32:43 2017 -0500

    app-emulation/qemu: security fixes
    
    CVE-2017-7471, bug #616484
    
    CVE-2017-7718, bug #616482
      already applied on stable-2.8 as 3328c14e63f08fb07e8c6dec779c9d365e9e9864
    
    CVE-2017-7980, bug #616462
      already applied on stable-2.8 as a290442234fa214fcb7f45fc91d802bcb8d05c4b
                                       031700e4527b9e05798f7040dccdf638da27aee2
    
    CVE-2017-8086, bug #616460
    
    Package-Manager: Portage-2.3.5, Repoman-2.3.2
Comment 2 Agostino Sarubbo gentoo-dev 2017-04-29 14:49:26 UTC
amd64 stable
Comment 3 Agostino Sarubbo gentoo-dev 2017-05-04 15:56:20 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 4 Matthias Maier gentoo-dev 2017-05-04 17:05:49 UTC
commit 3ebfbe4800b59d6cf81a3a2f4e1a9a2e641343f3
Author: Matthias Maier <tamiko@gentoo.org>
Date:   Thu May 4 12:03:54 2017 -0500

    app-emulation/qemu: drop vulnerable, bug #616460
    
    Package-Manager: Portage-2.3.5, Repoman-2.3.2
Comment 5 Yury German Gentoo Infrastructure gentoo-dev Security 2017-05-05 01:28:23 UTC
Arches and Maintainer(s), Thank you for your work.

Added to an existing GLSA Request.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2017-06-06 06:49:05 UTC
This issue was resolved and addressed in
 GLSA 201706-03 at https://security.gentoo.org/glsa/201706-03
by GLSA coordinator Yury German (BlueKnight).